# jboss-modules doesn't build on JDK 11 due to missing sun.reflect package

%global _maven_metadata_dir /usr/share/maven-metadata

Name:		jboss-modules
Version:	1.12.0
Release:	0.1%{?dist}
Summary:	Modular Classloading System
# XPP3 License: src/main/java/org/jboss/modules/xml/MXParser.java
#  src/main/java/org/jboss/modules/xml/XmlPullParser.java
#  src/main/java/org/jboss/modules/xml/XmlPullParserException.java
License:	ASL 2.0 and xpp

URL:		https://github.com/jbossas/jboss-modules
SOURCE0:	https://repo1.maven.org/maven2/org/jboss/modules/%{name}/%{version}.Final/%{name}-%{version}.Final.pom
SOURCE1:	https://repo1.maven.org/maven2/org/jboss/modules/%{name}/%{version}.Final/%{name}-%{version}.Final.jar
SOURCE2:	jboss-modules.xml
SOURCE3:	https://www.apache.org/licenses/LICENSE-2.0.txt
SOURCE4:	http://www.bearcave.com/software/java/xml/xmlpull_license.html

BuildArch:	noarch

BuildRequires:	java-11-openjdk-devel

Provides:	mvn(org.jboss.modules:jboss-modules) = %{version}
Provides:	mvn(org.jboss.modules:jboss-modules:pom:) = %{version}

Requires:	(java-headless or java-11-headless)
Requires:	javapackages-filesystem

%description
Ths package contains A Modular Classloading System.


%install
mkdir -p %{buildroot}%{_mavenpomdir}/%{name}
cp -p %{SOURCE0} %{buildroot}%{_mavenpomdir}/%{name}/%{name}.pom
mkdir -p %{buildroot}%{_javadir}/%{name}
cp -p %{SOURCE1} %{buildroot}%{_javadir}/%{name}/%{name}.jar
mkdir -p %{buildroot}%{_maven_metadata_dir}
cp -p %{SOURCE2} %{buildroot}%{_maven_metadata_dir}/%{name}.xml

cp %{SOURCE3} ASL-2.0.txt
cp %{SOURCE4} xmlpull_license.html

%files
%license ASL-2.0.txt
%license xmlpull_license.html
%{_mavenpomdir}/%{name}/%{name}.pom
%{_javadir}/%{name}/%{name}.jar
%{_maven_metadata_dir}/%{name}.xml


%changelog
* Fri May 27 2022 Martin Perina <mperina@redhat.com> - 1.12.0-0.1
- Initial RPM release
- Just bundled JARs

